This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 468640 - hal does not recognize the OLPC XO
hal does not recognize the OLPC XO
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO FedoraXOKeyboard
  Show dependency treegraph
 
Reported: 2008-10-26 21:40 EDT by Ignacio Vazquez-Abrams
Modified: 2008-11-17 11:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 11:39:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2008-10-26 21:40:40 EDT
system.hardware.{product,serial} does not exist in /org/freedesktop/Hal/devices/computer for the OLPC XO.
Comment 1 Richard Hughes 2008-10-27 05:17:09 EDT
Does /sys/class/dmi/* exist?
Comment 2 Ignacio Vazquez-Abrams 2008-10-27 13:25:29 EDT
No. The XO uses OpenFirmware, not DMI.
Comment 3 Jeremy Katz 2008-11-06 11:15:22 EST
With kernel + hal changes, this should now be in better shape
Comment 4 Ignacio Vazquez-Abrams 2008-11-11 04:55:40 EST
No such luck. To be frank, I'm not seeing "OLPC HGPK ALPS HGPK" anywhere in lshal. Am I looking in the wrong place?
Comment 5 Jon Stanley 2008-11-15 14:35:05 EST
I'm seeing OLPC in system.hardware.vendor and C2 in system.hdardware.version.  Looks good to me??

Note You need to log in before you can comment on or make changes to this bug.